Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
response = client.dataframer.runs.files.download(
file_id="file_id",
run_id="run_id",
)
print(response.content_type)curl https://df-api.dataframer.ai/api/dataframer/runs/$RUN_ID/files/$FILE_ID/download/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"{
"download_url": "<string>",
"filename": "<string>",
"content_type": "<string>"
}Data Generation Runs
Download generated file
Get presigned URL for downloading a generated file
GET
/
api
/
dataframer
/
runs
/
{run_id}
/
files
/
{file_id}
/
download
/
Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
response = client.dataframer.runs.files.download(
file_id="file_id",
run_id="run_id",
)
print(response.content_type)curl https://df-api.dataframer.ai/api/dataframer/runs/$RUN_ID/files/$FILE_ID/download/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"{
"download_url": "<string>",
"filename": "<string>",
"content_type": "<string>"
}Authorizations
API Key authentication. Format: "Bearer YOUR_API_KEY"

